/**
  *  \file ui/combobox.h
  */
#ifndef PCC_V2_UI_COMBOBOX_H
#define PCC_V2_UI_COMBOBOX_H

#include "ui/listbox.h"
#include "ui/widgets.h"

class UIComboBox : public UINumberSelector {
    const UIStringList& list;
 public:
    UIComboBox(int id, int min, int max, const UIStringList& list);
    ~UIComboBox();

    void draw(GfxCanvas& can, UpdateInfo& ui);
    void popupMenu(int x, int y);
    void popupMenu(); // FIXME!
    void getLayoutInfo(LayoutInfo& li);
};

UIComboBox& createComboBoxControls(UIGroup& container, UIComboBox& box, ObjectHolder& h);

#endif
